le (1.16.5-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 14:13:45 +0800

le (1.16.5-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - Fixes FTBFS with ncurses 6. (Closes: #868609)
  * Upstream ships a .dektop entry, remove the Debian menu entry.

 -- Adrian Bunk <bunk@debian.org>  Mon, 20 Aug 2018 05:37:52 +0300

le (1.16.3-1) unstable; urgency=medium

  * New upstream release
  * debian/docs: the lsm file has been dropped by upstream
  * debian/control:
    + Update upstream's homepage URL (Closes: #797815)
      Thanks, Axel Beckert
    + Bump Standards-Version, no change needed
    + Drop versioned build-dependency on automake
  * Bump debhelper compat level to 10
  * debian/patches:
    + improve-paste-performance.patch: cherry-pick upstream commit
    + save-result-of-getcol.patch: cherry-pick upstream commit
  * debian/rules: disable cdbs' auto installing of documentation
  * debian/copyright: update the years of upstream's copyright

 -- Raphael Geissert <geissert@debian.org>  Wed, 25 Jan 2017 00:30:37 +0100

le (1.15.1-1) unstable; urgency=medium

  * New upstream release
  * Update watch file to new upstream location
  * Perform signature checking on upstream releases

 -- Raphael Geissert <geissert@debian.org>  Sat, 11 Apr 2015 17:43:57 +0200

le (1.14.9-2) unstable; urgency=low

  * Use dh-autoreconf instead of hardcoding the auto* version
    number (Closes: #724079).

 -- Raphael Geissert <geissert@debian.org>  Mon, 23 Sep 2013 00:10:18 +0200

le (1.14.9-1) unstable; urgency=low

  * New upstream release
  * debian/patches:
    - Drop debian-changelog-dist-allow-dash.patch, merged upstream
    - Drop fix-html-in-php-syntax-delimiter.patch, merged upstream
    - Drop fix_program_name.patch, merged upstream
    - Drop document_missing_opts.patch, merged upstream
    - Drop debian-control-syntax.patch, merged upstream
    - Drop ocaml-syntax.patch, merged upstream
    - Drop haskell-syntax.patch, merged upstream
    - Drop strcpy-overlap.patch, merged upstream
    - Drop memdup-null-ptr-deref.patch, merged upstream
    - Drop help-fd-leak.patch, merged upstream
    - Drop screen-offbyone-read.patch, merged upstream
    - Drop fd-leak.patch, merged upstream
    - Drop extend-sql-syntax.patch, to be merged upstream
  * debian/rules: update for automake 1.13 (Closes: #713179)
  * debian/control: build-depend on automake >= 1.13
  * debian/watch: use http instead of ftp, add directory of old
    releases, scan for .tar.xz files now.

 -- Raphael Geissert <geissert@debian.org>  Sun, 23 Jun 2013 13:03:09 +0200

le (1.14.7-1) unstable; urgency=low

  * New upstream release
    + added mouse wheel support
    + fixed html comment highlighting

 -- Raphael Geissert <geissert@debian.org>  Thu, 06 Sep 2012 13:18:26 -0500

le (1.14.6-2) unstable; urgency=low

  * debian/patches:
    + multiarch-paths.patch: search for ncurses/w in the triplet-based
      multiarch paths. Thanks to peter green for the patch. (Closes: #651705)
    + debian-control-syntax.patch: Add Package-List and Breaks to
      debian/control's syntax highlighting.
    + ocaml-syntax.patch: Initial OCaml syntax highlighting.
    + haskell-syntax.patch: Initial Haskell syntax highlighting.
  * debian/rules: Do not manually set LFS_CFLAGS, it is now done in
    configure.ac

 -- Raphael Geissert <geissert@debian.org>  Mon, 03 Sep 2012 13:16:56 -0500

le (1.14.6-1) unstable; urgency=low

  * New upstream release
    - allow mmap of file part (--mmap FileName:begin:length)
    - changed license to GNU GPL v3
  * Bump Standards-Version, no changes needed.
  * Switch source format to 3.0 quilt
  * Update copyright file
  * debian/patches:
    + document_missing_opts.patch: document --{no-,}multibyte
    + fix_program_name.patch: s/LFTP/LE/ in the about dialog

 -- Raphael Geissert <geissert@debian.org>  Sat, 17 Sep 2011 00:21:42 -0500

le (1.14.3-1) unstable; urgency=low

  * New upstream release
    - fixed compilation with gcc 4.4 (Closes: #547305)
    - added workaround for a ncurses getmouse bug
  * debian/patches/* removed, merged upstream.
  * debian/patches/extend-sql-syntax.patch:
    + More keywords used in MySQL and Oracle added.
  * debian/patches/fix-html-in-php-syntax-delimiter.patch:
    + Fix syntax highlighter delimiter in php mode.
  * debian/patches/debian-changelog-dist-allow-dash.patch:
    + Allow distribution names with dashes in Debian changelog mode.
  * debian/control: bumped Standards-Version, no change needed.

 -- Raphael Geissert <geissert@debian.org>  Mon, 28 Dec 2009 18:20:08 -0600

le (1.14.2-1) unstable; urgency=low

  * New upstream release:
    - added javascript patterns
    - fixed auto word wrap mode (reported by Stefano D'Archino)
  * debian/patches/{more_,typos}.patch: minor corrections.
  * debian/patches/syntax_corrections.patch:
    + Improvements and corrections to the Debian control file mode.
  * debian/control:
    + Changed my email address.
    + Dropped the DM-U-A field.
    + Bumped Standards-Version, no change needed.

 -- Raphael Geissert <geissert@debian.org>  Wed, 01 Jul 2009 12:18:43 -0500

le (1.14.1-1) unstable; urgency=low

  * New upstream release:
    - fixed html comment pattern.
    - added more syntax colors (now 6).
    - added txt2tags syntax patterns (Stefano D'Archino).
  * debian/patches/* removed, merged upstream.

 -- Raphael Geissert <atomo64@gmail.com>  Thu, 07 May 2009 22:32:40 -0500

le (1.14.0-1) unstable; urgency=low

  * New upstream release:
    - le.1_minus_signs.patch: deleted, merged upstream.
    - macro_def_BUG223168.patch: deleted, merged upstream.
    - le_syntax.patch: deleted, merged upstream.
    - man_typo.patch: deleted, merged upstream.
    - add kri/kind terminfo codes to keymap.
    - minor improvemens in shell and sql syntax patterns.
    - php syntax updated (Igor Zhbanov).
    - added sum function to the calculator.
    - fvwm2rc syntax added (Aldis Berjoza).
    - fixed DOS-EOL mode display in status line.
    - automatically turn off syntax highlighting on screens with too long lines
    - display syntax selector in File/Info dialog.
    - improved syntax descriptions for shell, configure.ac, perl
    - use newer regex with non-greedy modifier
    - allow syntax pattern inclusion from additional files
  * debian/docs: don't install NEWS, it is already being installed as changelog
  * debian/rules: use cdbs
  * debian/control:
    + Build-Depend on cdbs
    - Remove versioned build dependencies that are satisfied even in etch:
      + quilt
      + libncursesw5-dev
    + Bump Standards-Version to 3.8.1, no change needed
  * debian/patches/
    + pascal-mode.patch: Pascal (*.pas) mode for syntax highlighting
    - diff-mode-enhancements.patch:
      + Recognise files starting with ^diff
      + Colourise the whole added/removed lines, not just the symbols
    + debian-control-mode-typo.patch: s/Enhaces/Enhances
    - watch-file-mode.patch
      + Fix an error related to active/passive caused by accident on a recent
        syntax files modification

 -- Raphael Geissert <atomo64@gmail.com>  Tue, 05 May 2009 23:28:56 -0500

le (1.13.7-2) unstable; urgency=low

  * The "Syntax highlighting" upload.

  * patches/le_syntax.patch:
    + Improved syntax highlighting for php.
    + Fixed an incorrect highlighting of $" in perl mode.
    + Fixed an incorrect highlighting of \# in perl mode.
    + Increased the height up to 20 for some long constructors.
    + Added makefile mode.
    + Also match *.ini in the generic config file mode.
    + Added Debian control (control, dsc, changes) file mode.
    + Added Debian changelog mode.
    + Also match *.pot in po mode.
    + Added basic lsm mode.
    + Added watch file, uscan(1), mode.
    + Added gdbinit mode.
    + Added .desktop (and eventsrc) mode.
    + Added basic quilt series mode.
    + Added basic .ac and .m4 mode.
    + Added generic changelog mode.
  * debian/control: bump Standards Version to 3.8.0:
    - No changes needed
  * debian/rules: minor cleanup.

 -- Raphael Geissert <atomo64@gmail.com>  Mon, 21 Jul 2008 15:06:29 -0500

le (1.13.7-1) unstable; urgency=low

  * New upstream release
    - "fixed display for single-byte encodings on linux."
  * patches/le.1_minus_signs.patch: Correctly escape minus signs in le.1 

 -- Raphael Geissert <atomo64@gmail.com>  Mon, 17 Mar 2008 20:57:06 -0600

le (1.13.6-1) unstable; urgency=low

  * New upstream release
  * debian/control: Bumped to debhelper's compat version 6
  * Adopting package (Closes: #419076)
  * debian/copyright: Updated copyright years
  * Added XS-DM-Upload-Allowed: yes

 -- Raphael Geissert <atomo64@gmail.com>  Tue, 29 Jan 2008 21:29:10 -0600

le (1.13.5-1) unstable; urgency=low

  * QA upload.
  * New upstream release
  * Install NEWS instead of ChangeLog (outdated) as the upstream changelog
  * Updated debian/copyright adding full copyright years and license text
  * Added Homepage field
  * Extract patches from .diff.gz to different files under debian/patches
    - Adds a build dependency on quilt
  * Fixed debian/rules target dependencies so parallel building works
  * Added LFS flags for building (Closes: #338110)

 -- Raphael Geissert <atomo64@gmail.com>  Sat, 15 Dec 2007 22:30:32 -0600

le (1.13.4-2) unstable; urgency=low

  * QA upload.
  * Build against libncursesw5-dev and not libncurses5-dev to gain multibyte
    encoding support. (Closes: #449348, #295955)
  * Bump Standards-Version to 3.7.3:
    + move from menu section Apps/Editors to Applications/Editors.

 -- Adeodato Simó <dato@net.com.org.es>  Sat, 15 Dec 2007 12:03:21 +0100

le (1.13.4-1) unstable; urgency=low

  * QA upload.
  * New upstream release.  Closes: #369373.
  * doc/le.1: Fix typos.  Thanks to A Costa.  Closes: #311236.
  * Automatically update config.guess and config.sub from autotools-dev.
  * debian/copyright, debian/watch: Update upstream URL.
  * debian/README.Debian: Empty; remove.
  * debian/changelog: Remove obsolete Emacs local variables.
  * debian/dirs: Already created by the Makefile; remove.
  * debian/rules: Remove dh_installmanpages.

 -- Matej Vela <vela@debian.org>  Tue,  1 May 2007 16:31:01 +0200

le (1.9.1-5) unstable; urgency=low

  * QA upload.
  * Set Maintainer to QA group; Orphaned: #419076
  * Remove make, g++ from Build-Depends (build-essential)
  * Bump compat level to 5, create debian/compat, update debian/rules
  * Add quotes to debian/menu
  * Fix parsing error for debian/changelog
  * Add Provides: editor (Closes: #369383), use update-alternatives to 
    register / unregister le in postinst/prerm
  * Remove le.{postinst,prerm,postrm} templates from debian/
  * Set Standards Version to 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Thu, 26 Apr 2007 11:29:15 +0200

le (1.9.1-4.1) unstable; urgency=low

  * Zero-day NMU from the Minneapolis BSP.
  * Fix build problem related to KEY_F macro definition (closes: #223168).
    - KEY_F definition was coming from <linux/input.h> rather than <ncurses.h>
    - Fix was to move include of <edit.h> down a few lines in src/getch.cc

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 13 Dec 2003 17:08:07 -0600

le (1.9.1-4) unstable; urgency=low

  * Remove config.log from version .diff.  Fixes lintian warning.

 -- Adam F. Rogoyski <rogoyski@debian.org>  Sat,  4 Jan 2003 00:38:35 -0600

le (1.9.1-3) unstable; urgency=low

  * Upgrade to Standards Version 3.5.8.0.
  * Fix lintian warning about Author(s) field in copyright file.
  * Add build-depends for make, g++.

 -- Adam F. Rogoyski <rogoyski@debian.org>  Sun, 15 Dec 2002 19:55:42 -0600

le (1.9.1-2) unstable; urgency=low

  * Add patch from author to fix compiler warning.  Closes: #161139.

 -- Adam F. Rogoyski <rogoyski@debian.org>  Wed, 25 Sep 2002 22:51:23 -0500

le (1.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Adam F. Rogoyski <rogoyski@debian.org>  Mon, 16 Sep 2002 23:31:43 -0500

le (1.9.0-1) unstable; urgency=low

  * Fix bug #124861, Spelling error in description.
  * New upstream release.

 -- Adam F. Rogoyski <rogoyski@debian.org>  Sat,  2 Feb 2002 22:38:10 -0600

le (1.8.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * standard changed to depricate CLK_TCK in favor of CLOCKS_PER_SEC,
    not defined in the compile.  Closes: #104598

 -- LaMont Jones <lamont@smallone.fc.hp.com>  Fri, 13 Jul 2001 15:04:38 -0600

le (1.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Adam F. Rogoyski <rogoyski@debian.org>  Mon, 21 May 2001 10:32:45 -0500

le (1.7.1-1) unstable; urgency=low

  * New upstream release.
  * Add build-depends on libncurses5-dev, closes BUG #91898.

 -- Adam F. Rogoyski <rogoyski@debian.org>  Sun,  8 Apr 2001 22:10:56 -0500

le (1.6.3-1) unstable; urgency=low

  * New upstream release.
  * Use standards 3.2.1.
  * Use debhelper >> 3.0.0.

 -- Adam F. Rogoyski <rogoyski@debian.org>  Tue, 13 Mar 2001 13:33:09 -0600

le (1.6.1-1) unstable; urgency=low

  * New upstream release.
  * Fix bug #82030.

 -- Adam F. Rogoyski <rogoyski@debian.org>  Tue, 16 Jan 2001 19:38:43 -0600

le (1.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Adam F. Rogoyski <rogoyski@debian.org>  Sun, 10 Dec 2000 14:32:59 -0600

le (1.5.7-1) unstable; urgency=low

  * New upstream release.
  * Fix download directory site in debian/copyright.

 -- Adam F. Rogoyski <rogoyski@debian.org>  Tue, 14 Mar 2000 21:53:52 -0600

le (1.5.5-2) unstable; urgency=low

  * Fix .orig.tar.gz directory extrapolation.

 -- Adam F. Rogoyski <rogoyski@debian.org>  Sat, 27 Nov 1999 18:46:33 -0600

le (1.5.5-1) unstable; urgency=low

  * New upstream release.
  * Fixes wishlist bug #50805.

 -- Adam F. Rogoyski <rogoyski@debian.org>  Thu, 25 Nov 1999 21:33:06 -0600

le (1.5.1-4) unstable; urgency=low

  * fix deleting /usr/doc link on removing package.

 -- Adam F. Rogoyski <rogoyski@debian.org>  Sun, 14 Nov 1999 20:26:18 -0600

le (1.5.1-3) unstable; urgency=low

  * usr -> usr/share transition.

 -- Adam F. Rogoyski <rogoyski@debian.org>  Sat, 13 Nov 1999 22:28:16 -0600

le (1.5.1-2) unstable; urgency=low

  * Fixed man page bug.

 -- Adam F. Rogoyski <rogoyski@debian.org>  Thu, 10 Jun 1999 19:59:06 +0000

le (1.5.1-1) unstable; urgency=low

  * New upstream release

 -- Adam F. Rogoyski <rogoyski@debian.org>  Sat, 22 May 1999 14:34:52 +0000

le (1.4.2-1.2) frozen unstable; urgency=low

  * Non-maintainer upload.
  * Rebuilt with new egcs to get up to date libstdc++ dependency. This
    also updates the ncurses dependency (Fixes #29026).
  * Rewrote menu file for new format (fixes Lintian error).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Fri,  6 Nov 1998 14:30:23 +0100

le (1.4.2-1.1) frozen unstable; urgency=low

  * Non-maintainer upload.
  * Rebuilt with new ncurses (with fixed CXX_TYPE_BOOL).
  * Can't reproduce core dump on startup reported in #20974.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sat,  9 May 1998 13:57:16 +0200

le (1.4.2-1) unstable; urgency=low

  * New upstream release

 -- Christoph Lameter <clameter@debian.org>  Mon, 12 Jan 1998 19:12:00 -0800

le (1.4.1-1) debs; urgency=low

  * New upstream release

 -- Christoph Lameter <clameter@debian.org>  Sat, 13 Dec 1997 08:46:16 -0800

le (1.4.0-1) unstable; urgency=low

  * Initial Release.

 -- Christoph Lameter <clameter@debian.org>  Mon, 10 Nov 1997 21:13:15 +0000
